Loading...
Searching...
No Matches
sigma_exact

## Detailed Description

Examples
  diffusion_tensor_error.cc, diffusion_tensor_exact.icc, diffusion_transport_tensor_error_dg.cc, diffusion_transport_tensor_exact.icc, transport_tensor_error_dg.cc, and transport_tensor_exact.icc.

Definition at line 25 of file diffusion_tensor_exact.icc.

## Public Member Functions

tensor | operator() (const point &x) const
| sigma_exact ()
Float | f (const point &x) const
Float | df_dt (const point &x) const
tensor | operator() (const point &x) const
tensor | time_derivative (const point &x) const
tensor3 | grad (const point &x) const
tensor | laplacian (const point &x) const
| sigma_exact (Float nu1, Float t1=0)
Float | f (const point &x) const
Float | df_dt (const point &x) const
tensor | operator() (const point &x) const
tensor | time_derivative (const point &x) const
| sigma_exact (Float nu1, Float t1=0)

## Public Attributes

Float | nu
Float | t
Float | r0
point | x0
point | xt
point | vt

## Constructor & Destructor Documentation

## sigma_exact() [1/3]

sigma_exact | ( |  | ) |

Examples
  diffusion_tensor_exact.icc, diffusion_transport_tensor_exact.icc, and transport_tensor_exact.icc.

Definition at line 35 of file diffusion_tensor_exact.icc.

## sigma_exact() [2/3]

sigma_exact | ( | Float | nu1,
|  | Float | t1 = 0 )

Definition at line 69 of file diffusion_transport_tensor_exact.icc.

## sigma_exact() [3/3]

sigma_exact | ( | Float | nu1,
|  | Float | t1 = 0 )

Definition at line 54 of file transport_tensor_exact.icc.

## Member Function Documentation

## operator()() [1/3]

tensor operator() | ( | const point & | x | ) | const

Examples
  diffusion_tensor_exact.icc, diffusion_transport_tensor_exact.icc, and transport_tensor_exact.icc.

Definition at line 26 of file diffusion_tensor_exact.icc.

## f() [1/2]

Float f | ( | const point & | x | ) | const

Examples
  diffusion_transport_tensor_exact.icc, and transport_tensor_exact.icc.

Definition at line 29 of file diffusion_transport_tensor_exact.icc.

## df_dt() [1/2]

Float df_dt | ( | const point & | x | ) | const

Examples
  diffusion_transport_tensor_exact.icc, and transport_tensor_exact.icc.

Definition at line 32 of file diffusion_transport_tensor_exact.icc.

## operator()() [2/3]

tensor operator() | ( | const point & | x | ) | const

Definition at line 35 of file diffusion_transport_tensor_exact.icc.

## time_derivative() [1/2]

tensor time_derivative | ( | const point & | x | ) | const

Examples
  diffusion_transport_tensor_exact.icc, and transport_tensor_exact.icc.

Definition at line 44 of file diffusion_transport_tensor_exact.icc.

## grad()

tensor3 grad | ( | const point & | x | ) | const

Examples
  diffusion_transport_tensor_exact.icc.

Definition at line 54 of file diffusion_transport_tensor_exact.icc.

## laplacian()

tensor laplacian | ( | const point & | x | ) | const

Examples
  diffusion_transport_tensor_exact.icc.

Definition at line 65 of file diffusion_transport_tensor_exact.icc.

## f() [2/2]

Float f | ( | const point & | x | ) | const

Definition at line 29 of file transport_tensor_exact.icc.

## df_dt() [2/2]

Float df_dt | ( | const point & | x | ) | const

Definition at line 32 of file transport_tensor_exact.icc.

## operator()() [3/3]

tensor operator() | ( | const point & | x | ) | const

Definition at line 35 of file transport_tensor_exact.icc.

## time_derivative() [2/2]

tensor time_derivative | ( | const point & | x | ) | const

Definition at line 44 of file transport_tensor_exact.icc.

## Member Data Documentation

## nu

Float nu

Examples
  diffusion_transport_tensor_exact.icc, and transport_tensor_exact.icc.

Definition at line 77 of file diffusion_transport_tensor_exact.icc.

## t

Float t

Examples
  diffusion_transport_tensor_exact.icc, and transport_tensor_exact.icc.

Definition at line 77 of file diffusion_transport_tensor_exact.icc.

## r0

Float r0

Examples
  diffusion_transport_tensor_exact.icc, and transport_tensor_exact.icc.

Definition at line 77 of file diffusion_transport_tensor_exact.icc.

## x0

point x0

Examples
  diffusion_transport_tensor_exact.icc, and transport_tensor_exact.icc.

Definition at line 78 of file diffusion_transport_tensor_exact.icc.

## xt

point xt

Examples
  diffusion_transport_tensor_exact.icc, and transport_tensor_exact.icc.

Definition at line 78 of file diffusion_transport_tensor_exact.icc.

## vt

point vt

Examples
  diffusion_transport_tensor_exact.icc, and transport_tensor_exact.icc.

Definition at line 78 of file diffusion_transport_tensor_exact.icc.

The documentation for this struct was generated from the following files:

- /build/rheolef-L67pNR/rheolef-7.2/doc/examples/diffusion_tensor_exact.icc
- /build/rheolef-L67pNR/rheolef-7.2/doc/examples/diffusion_transport_tensor_exact.icc
- /build/rheolef-L67pNR/rheolef-7.2/doc/examples/transport_tensor_exact.icc